
set(hdrs	
	include/pw/scene/camera.hpp
	include/pw/scene/component.hpp
	include/pw/scene/node.hpp
	include/pw/scene/mesh.hpp
	include/pw/scene/scene.hpp
	include/pw/scene/transform.hpp
	include/pw/scene/traverser.hpp
	)

set(srcs
	src/node.cpp
	src/camera.cpp
	src/component.cpp
	src/mesh.cpp
	src/scene.cpp
	src/transform.cpp
	src/traverser.cpp
	)

add_library(pwscene
	STATIC
	${hdrs}
	${srcs}
	)

target_include_directories(
	pwscene
	PUBLIC
	include
	)

target_include_directories(
	pwscene
	PUBLIC
	)

target_link_libraries(pwscene pwcore)

add_subdirectory(tests)
